@font-face {
    font-family: "Open Sans";
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: url(stockholm-opensans-light.woff) format("woff");
}
@font-face {
    font-family: "Open Sans";
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(stockholm-opensans-regular.woff) format("woff");
}
@font-face {
    font-family: "Open Sans";
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(stockholm-opensans-bold.woff) format("woff");
}

/* General */

html, body, header,main,aside,section,article,footer div, form, pre, span, tr, th, td, img {
    margin: 0; padding: 0; border: 0; vertical-align: baseline; }
body {background-color: #f2f2f2; color: #666; font-family: "Open Sans", Helvetica, sans-serif; font-size: 1em; font-weight: 300; line-height: 1.2; }
h1, h2, h3, h4, h5, h6 { color: #111; font-weight: 400; }
h1 { font-size: 2em; }
hr { height: 1px; background: #ddd; border: 0; }
strong { font-weight: bold; }
code { font-size: 1.1em; }
a { color: #07d; text-decoration: none; cursor: pointer; }
a:hover { color: #07d; text-decoration: underline; }

/* Elements bàsics */
body {display:flex;justify-content: space-between; flex-wrap: wrap;}
header,nav,main,aside,footer { display: inline-block; }
header {width: 100%;height:40px;}
.page { margin: 0 auto; max-width: 1000px; }

/* Navigation */
nav { position: fixed;top: 0;left: 0;padding-top: 4px;color: #fafafa;height:40px;display: inline-flex;
    width:100%;background-color: #122112; z-index:99;} 
nav .sitename-logo img { height:2rem; width:2rem; margin:0 0rem 2px 4rem; background: transparent;}


ul.navigation {list-style:none; margin:0.5rem auto 0 0;}
ul.navigation li {list-style:none; }
ul.navigation a {color: #cacaca;border-bottom: solid 2px transparent;text-decoration: none;padding: 0.5em 0;margin: 0;}
ul.navigation a:hover {color: #07d;}
ul.navigation>li {float: left; margin:0 0.5rem;}
ul.navigation>li:first-child { font-weight: bold; margin-right: 1rem; margin-left: 0; }
ul.navigation>li:hover .nav_icon {transform: rotate(180deg);}
ul.navigation>li:hover > ul {display:block;}
ul.navigation>li>a:hover {border-bottom: solid 2px #29f;}
ul.navigation>li>a.active {border-bottom: solid 2px #f2f2f2;}
ul.navigation>li>ul{display:none;position: absolute;z-index: 20; padding: 8px 12px;border-radius: 0 0 0.5rem 0.5rem;background-color: #3c3838; }
ul.navigation>li>ul>li {width:auto; padding: 2px;position:relative;}
/*
    ul.navigation>li>ul>li:hover >ul {display:block;}
ul.navigation>li>ul>li>ul{display:none;}
*/
.navigation-banner {clear: both;}
.nav_icon { width: 0.7rem !important;margin: -0.3rem 0 0 0.33rem !important;transition: transform 0.3s cubic-bezier(0.39, 0.575, 0.565, 1);transform-origin: 50% 50%}

/* Nav follow */
.follow { display: inline-block; list-style: none;padding:0; margin:0.5rem 1rem 0 auto;}
.follow a {margin:0 ;padding:0;}
.follow svg { fill: #fafafa; }
.follow input {margin-top: 0 ;}

.nav-alter {display:none;}

/* Main                     */
main {width:60%;margin-left:auto;margin-right:auto;padding:8px;}

section.main {margin:0;padding:0;width:100%;}
ul.posts {list-style: none;margin-top: 2rem; margin-left:0;padding-left:0;}

/* Aside */
aside{width:60%;margin-left:auto;margin-right:auto;padding:8px;}
aside {font-size: 90%;}
aside section{margin: 2rem 0 1rem 0; border-radius: 0.5rem; background: #fff;padding:8px 12px;width:100%;}
aside h2 {margin: 8px 0 4px;}
aside ul, aside li, aside p {margin:0;}
aside ul.wiki {list-style:none}
aside dl {display: inline;}
aside dt {margin:0 5px; float: left;}
aside dt span::after {content:")";}
aside dt span::before {content:"(";padding-left:2px;}
aside hr, aside br {clear: both;margin:1rem 0 1.5rem;}

/* Content */
.content h1 { margin: 1em 0; }
.content h1 a { color: #111; }
.content h1 a:hover { color: #111; text-decoration: none; }
.content img { max-width: 100%; height: auto;}
.content form { margin: 1em 0; }
.content table { border-spacing: 0; border-collapse: collapse; }
.content th { text-align: left; padding: 0.3em; border-bottom: 1px solid #ddd; }
.content td { text-align: left; padding: 0.3em; padding-right: 2em; }
.content code, 
.content pre { font-family: Consolas, Menlo, Courier, monospace; font-size: 90%; }
.content code { padding: 0.15em 0.4em; margin: 0; background-color: #f7f7f7; color: #666; border-radius: 3px; }
.content pre > code { padding: 0; margin: 0; white-space: pre; background: transparent; border: 0; font-size: inherit; }
.content pre { padding: 1em; overflow: auto; line-height: 1.45; background-color: #f7f7f7; color: #666; border-radius: 3px; }
.content blockquote { margin-left: 0; padding-left: 1em; font-weight: bold; border-left: 3px solid #29f; }
.content .notice1 { margin: 1em 0; padding: 10px 1em; background-color: #fffbf0; border-left: 10px solid #fb0; }
.content .notice2 {margin: 1em 0; padding: 10px 1em; background-color: #fdf0f0; border-left: 10px solid #d00; }
.content .notice3, .content .notice4, .content .notice5, 
.content .notice6 {
    margin: 1em 0; padding: 10px 1em; background-color: #f0f8fe; border-left: 10px solid #08e; }
.content .flexible { position: relative; padding-top: 0; padding-bottom: 56.25%; }
.content .flexible iframe { position: absolute;top: 0;left: 0;width: 100%;height: 100%;}
.content .task-list-item { list-style-type: none;}
.content .task-list-item input { margin: 0 0.2em 0.25em -1.75em; vertical-align: middle; }
.content .toc {margin: 0;padding: 0;list-style: none;}
.content .wikipages ul,
.content .wikitags ul,
.content .wikilinks ul {padding: 0;list-style: none;column-width: 19em;}
.content .previousnext .previous {margin-right: 1em;}
.content .pagination .previous {margin-right: 1em;}
.content .pagination {margin: 1em 0;}
.content .left {float: left;margin: 0 1em 0 0;}
.content .center {display: block;margin: 0 auto;}
.content .right {float: right;margin: 0 0 0 1em;}

/* Footer */
footer { margin: 0 0 0 0; font-size: 0.9rem;width: 100%; text-align: center; }
footer .siteinfo { max-width: 1440px; margin: 0 auto 0 auto ;text-align: center;padding-bottom: 8px;}


/* Adaptabilitat - Responsive */
@media screen and (min-width: 60em) {
    main.aside {width:60%;margin-left:auto;margin-right:0}
    aside{width:25%;margin-left:1%;margin-right:auto}
}
@media screen and (max-width: 60em) {
    main { width: 94%;}
    aside { width: 94%; margin-left:2%; margin-right:5%;}
}
@media screen and (max-width: 46em) {
    ul.navigation {padding-inline-start: 20px; }
    ul.navigation>li {display: inline; margin:0 4px;}
        aside { width: 95%;}
    .follow {display: none;}
}
@media screen and (max-width: 32em) { 
    .follow {display: none;}
    .content h1, .content h2 { font-size: 1.5em; }
}
@media print {
    .page { border: none !important; }
    main { width: 90%;}
    aside {display:none;}
    ul.navigation>li, #yellow-bar {display: none;}
    ul.navigation>li:first-child {display:block;padding-top:8px;font-size:110%}
    footer .copyright span + span {display: none;}
}

/* Forms and buttons */
.form-control { margin: 0; padding: 2px 4px; display: inline-block; min-width: 7em; background-color: #f2f2f2; color: #666;
    background-image: linear-gradient(to bottom, #f2f2f2, #f2f2f2); border: 1px solid #bbb; border-radius: 4px;
    font-size: 0.9em; font-family: inherit;  font-weight: normal; line-height: normal; }
.btn { margin: 0; padding: 4px 22px; display: inline-block; min-width: 7em; background-color: #eaeaea; color: #333333;
    background-image: linear-gradient(to bottom, #f8f8f8, #e1e1e1); border: 1px solid #bbb; border-color: #c1c1c1 #c1c1c1 #aaaaaa;
    border-radius: 4px; outline-offset: -2px; font-size: 0.9em; font-family: inherit; font-weight: normal;
    line-height: 1; text-align: center; text-decoration: none; box-sizing: border-box; }
.btn:hover,
.btn:focus,
.btn:active {color: #333333;background-image: none;text-decoration: none;}
.btn:active { box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.1);}

/* Blogs ========================================================= */
.entry {margin-bottom: 1rem; border-radius: 0.5rem; background: #fff;padding:8px 12px;}
article.entry {margin-top:2rem;}
.entry h1, .entry-meta  {margin:0;}

/* =============================================================== */
#yellow-bar {z-index: 500;position: fixed;top:0;left:0;width: 100%}
#yellow-bar .yellow-bar-left,
#yellow-bar .yellow-bar-right {
    background-color: #fff;opacity: 60%;border: 1px solid #a7a7a7;border-radius: 2px;padding: 0 3px;}
#yellow-bar ~ nav {padding: 1em 0 0 0;}
#yellow-bar:empty ~ nav {padding: 0;}
/* =============================================================== */
/* Icons */
.icon { display: inline-flex; justify-content: center; align-items: center; margin: 0 0.5rem; }
.icon,.icon img,.icon svg { width: 1.1rem; height: 1.1rem; }
.icon_2 { width: 2.2rem; height: 2.2rem; }

/* =============================================================== */
#goTop {position: fixed; bottom: 1.5rem; right: 1.5rem; cursor: pointer;display: none; z-index: 99; }
#goTop a { background-color: #0077b8; display: flex;width: 2.75rem; height: 2.75rem; 
    justify-content: center; align-items: center; border-radius: 50%; }

#goTop a.ios { position: absolute; bottom: 0.75rem; right: 0 }
#goTop a:hover { background-color: #0077b8; }
#goTop a svg { fill: #fff; opacity: 0.5; transition: 0.3s opacity cubic-bezier(0.39, 0.575, 0.565, 1); }
#goTop a:hover svg { opacity: 1; }

/* =============================================================== */
.center {text-align: center;}
.imgLeft {margin:0 1rem 1rem 4px;float: left;}

.pagination .previous {float: left;}
.pagination .next {float: right;}

.margin32 {margin: 0 48px 0 8px;}